New Upstream Snapshot - ttygif

Ready changes

Summary

Merged new upstream version: 1.6.0 (was: 1.5.0).

Resulting package

Built on 2022-11-19T13:30 (took 12m21s)

The resulting binary packages can be installed (if you have the apt repository enabled) by running one of:

apt install -t fresh-snapshots ttygif-dbgsymapt install -t fresh-snapshots ttygif

Lintian Result

Diff

diff --git a/Slackbuild/slack-desc b/Slackbuild/slack-desc
new file mode 100644
index 0000000..8cc0a60
--- /dev/null
+++ b/Slackbuild/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+      |-----handy-ruler------------------------------------------------------|
+ttygif: ttygif (converting tool)
+ttygif:
+ttygif: ttygif converts a ttyrec file into gif files. It's a stripped down
+ttygif: version of ttyplay which calls xwd on every frame.
+ttygif:
+ttygif: Homepage: https://github.com/icholy/ttygif
+ttygif:
+ttygif:
+ttygif:
+ttygif:
+ttygif:
diff --git a/Slackbuild/ttygif-1.5.0.tar.gz b/Slackbuild/ttygif-1.5.0.tar.gz
new file mode 100644
index 0000000..9b716c7
Binary files /dev/null and b/Slackbuild/ttygif-1.5.0.tar.gz differ
diff --git a/Slackbuild/ttygif.SlackBuild b/Slackbuild/ttygif.SlackBuild
new file mode 100755
index 0000000..b119913
--- /dev/null
+++ b/Slackbuild/ttygif.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# ttygif.SlackBuild - Slackware build script for ttygif
+# Copyright © 2022 Necib ÇAPAR <necipcapar@gmail.com>
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+
+PRGNAM=ttygif
+VERSION=${VERSION:-1.5.0} # differentiates from the org. SlackBuild script
+BUILD=${BUILD:-1}         # differentiates from the org. SlackBuild script
+TAG=${TAG:-_nc}           # differentiates from the org. SlackBuild script
+
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) ARCH=i586 ;;
+    arm*) ARCH=arm ;;
+       *) ARCH=$( uname -m ) ;;
+  esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+  SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/$VERSION.tar.gz 
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+  -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+  -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/bin
+install -D -m0755 $PRGNAM $PKG/usr/bin/$PRGNAM
+install -D -m0755 $PRGNAM $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/debian/changelog b/debian/changelog
index 1033bdc..58651b4 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+ttygif (1.6.0-1) UNRELEASED; urgency=low
+
+  * New upstream release.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Sat, 19 Nov 2022 13:23:30 -0000
+
 ttygif (1.5.0-1) unstable; urgency=medium
 
   * New upstream release
diff --git a/ttygif.c b/ttygif.c
index c62c56f..d6d2d3f 100644
--- a/ttygif.c
+++ b/ttygif.c
@@ -262,6 +262,7 @@ ttyplay (FILE *fp, ReadFunc read_func, WriteFunc write_func, Options o)
     }
 
     StringBuilder_write(sb, " -layers Optimize ");
+    StringBuilder_write(sb, "GIF:");
     StringBuilder_write(sb, o.out_file);
     StringBuilder_write(sb, " 2>&1");
     

Debdiff

[The following lists of changes regard files as different if they have different names, permissions or owners.]

Files in second set of .debs but not in first

-rw-r--r--  root/root   /usr/lib/debug/.build-id/e3/2d3a1bbd4f544eaedff25d113eb5fc99b05b7e.debug

Files in first set of .debs but not in second

-rw-r--r--  root/root   /usr/lib/debug/.build-id/7d/670354b6407472ae87e94e0cbf3170495b5382.debug

No differences were encountered between the control files of package ttygif

Control files of package ttygif-dbgsym: lines which differ (wdiff format)

  • Build-Ids: 7d670354b6407472ae87e94e0cbf3170495b5382 e32d3a1bbd4f544eaedff25d113eb5fc99b05b7e

More details

Full run details